<?xml version="1.0" encoding="UTF-8"?>
<doctrine-mapping>
    <entity name="App\Infrastructure\SharedKernel\Billing\Plan\Query\Doctrine\Model\Plan" table="billing__plans">

        <embedded
                name="price"
                class="App\Domain\SharedKernel\Generic\ValueObject\Money\Money"
                use-column-prefix="false"
        />

        <id name="planId" type="billing__plan_id" column="id"/>

        <field
                name="productId"
                type="billing__plan_product_id"
        />
        <field
                name="name"
                type="billing__plan_name"
        />
        <field
                name="billingCycle"
                type="billing__plan_billing_cycle"
        />
        <field
                name="updatedAt"
                type="datetime_immutable"
                nullable="true"
        />
        <field
                name="createdAt"
                type="datetime_immutable"
        />
    </entity>
</doctrine-mapping>